return function(arg)
	currentState = 'game'
	
	---------------
	-- init data
	---------------
	chosenImage = 'images/' .. imageList[math.random(1,#imageList)]
	imagePuzzle = love.graphics.newImage(chosenImage)
	
	local ih = imagePuzzle:getHeight()
	local iw = imagePuzzle:getWidth()
	
	if ih > iw then
		imageX0 = 0
		imageY0 = math.floor(ih/2 - iw/2)
		refWidth =  iw
	else
		imageX0 = math.floor(iw/2 - ih/2)
		imageY0 = 0
		refWidth = ih
	end
	
	puzzleHeight = love.graphics.getHeight()-padding*2
	puzzleWidth = puzzleHeight
	blockWidth = puzzleWidth/columnAmt
	blockHeight = puzzleHeight/rowAmt
	
	blankData = love.image.newImageData(blockWidth,blockHeight)
	-- our blank block
	for i = 0,blockWidth-1 do
		for j = 0,blockHeight-1 do
			blankData:setPixel(i,j,0,0,0,0)
		end
	end
	imageBlank	= love.graphics.newImage(blankData)
	
	xscale = puzzleWidth/refWidth
	yscale = puzzleHeight/refWidth
	
	quadMatrix = {}
	-- index starts at (0,0)
	for i = 0,rowAmt-1 do
		quadMatrix[i] = {}
		for j = 0,columnAmt-1 do
			local quadTable = {}
			quadMatrix[i][j] = quadTable
			quadTable.column = j
			quadTable.row = i
			quadTable.image = imagePuzzle
			quadTable.quad = love.graphics.newQuad(
				(imageX0+j*refWidth/columnAmt)*xscale,
				(imageY0+i*refWidth/rowAmt)*yscale,
				refWidth/columnAmt*xscale,
				refWidth/rowAmt*yscale,
				iw*xscale,ih*yscale)
		end
	end
	
	shadow = love.graphics.newQuad(
		imageX0*xscale,imageY0*yscale,
		refWidth*xscale,refWidth*yscale,
		iw*xscale,ih*yscale)
	
	---------------
	-- initiate randomization
	---------------
	currentIndex ={row = 0,column = 0}
	quadMatrix[0][0].image = imageBlank
	randomizePieces()

	function love.keypressed(key)
		if key == 'escape' then
			state.menu()
		end
	end

	function love.keyreleased(key)
		if keyReleaseEvent[key] then
			keyReleaseEvent[key](key)
		end
	end

	function love.mousepressed(x,y,key)
	end

	function love.mousereleased(x,y,key)
		if mouseReleaseEvent[key] then
			mouseReleaseEvent[key](x,y)
		end
	end

	function love.update(dt)
		winCheck()
	end

	function love.draw()
		drawShadow()
		drawImages()
		drawSelectionRectangle()
	end
end